/*
Nukem Enterprises C++ Bar Graph Program v1.0
Created: 3-28-03

This program, just like it's Java counterpart, gets user inputed
amount of bars in a bar graph then displays them. After it displays
the bar graph, it displays the total of all the values.
*/

#include <iostream>
#include <stdlib.h>
#include <conio.h>
#include <stdio.h>
#define MAX 30
using namespace std;


int main(int argc, char *argv[])
{
  int numberOfBars, count, value[MAX], numberOfSegments, total = 0;
  char again, tooHigh;
  
  cout<< "Nukem Enterprises C++ Bar Graph Program v1.0\n";
  cout<< "--------------------------------------------\n";
  cout<< "Number of bars in graph: ";
  cin>> numberOfBars;
  if (numberOfBars > 15 && numberOfBars <= MAX)
  {
    cout<< "WARNING: You are about to enter " << numberOfBars << " numbers!\nProceed? [Y/N]";
    cin>> tooHigh;
    switch (tooHigh)
    {
      case 'n':
        cout<< "Not proceeding and exiting program...";
        return 0;
        break;
      default:
        cout<< "If in C++ environment, just hit CTRL-BREAK to exit if number continues too long.\n";
        cout<< "If you are in Windows running it in Exe format, just hit ALT-ENTER to go to windowed mode";
    }
  }
  if (numberOfBars > MAX)
  {
    cout<< "\nERROR: Amount of bars exceeds the max of the value array. You cannot enter more than ";
    cout<< "30 values for the bar graph. If you REALLY want to exceed 30, edit the \nsource file's";
    cout<< " constant called MAX.\n\n";
    system("PAUSE");
    return 0;
  }    
  for (count = 1; count <= numberOfBars; count++)
  {
    cout<< "Enter value of bar " << count << ": ";
    cin>> value[count];
    if (value[count] >= 60)
    {
      cout<< "WARNING: Value too high, output may look awkward.\nEnter Again? [Y/N]";
      cin>> again;
      if (again == 'y')
        count--;
    }
    total += value[count];
  }
  cout<< "\n\n   Bar Graph:\n";
  for (count = 1; count <= numberOfBars; count++)
  {  
    cout<< value[count] << " ";     
    if (value[count] < 10)
       cout<< " ";  
    for (numberOfSegments = 1; numberOfSegments <= value[count]; numberOfSegments++)
    {
      cout<< "=";
    }
    cout<< "\n";
  }
  cout<< "\nTotal Values: " << total;
  cout<< "\n\n";
  system("PAUSE");
  return 0;
}
